<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<jsp:include page="../../inc.jsp"></jsp:include>
<script type="text/javascript" charset="utf-8">
	var datagrid;
	$(function() {
		datagrid = $('#datagrid').datagrid({
			url : 'forbid!datagrid.do',
			iconCls : 'icon-save',
			pagination : true,
			pagePosition : 'bottom',
			pageSize : 20,
			pageList : [ 20, 40, 60, 80, 100, 120, 140, 160, 200 ],
			fit : true,
			fitColumns : true,
			nowrap : false,
			border : false,
			idField : 'id',
			sortName : 'id',
			sortOrder : 'desc',
			frozenColumns : [ [ {
				title : '编号',
				field : 'id',
				width : 150,
				sortable : true,
				checkbox : true
			} ] ],
			columns : [ [ {
				title : '卡号',
				field : 'cardcode',
				width : 150
			}, {
				title : '状态',
				field : 'state',
				width : 150,
				formatter : function(value, row, index) {
					if (value == "0") {
						return "<font color='red'>启用</font>";
					} else {
						return "停用";
					}
				}
			} ] ],
			toolbar : [ {
				text : '增加',
				iconCls : 'icon-add',
				handler : function() {
					append();
				}
			}, '-', {
				text : '删除',
				iconCls : 'icon-remove',
				handler : function() {
					remove();
				}
			}, '-', {
				text : '修改',
				iconCls : 'icon-edit',
				handler : function() {
					edit();
				}
			}, '-', {
				text : '导出',
				iconCls : 'icon-edit',
				handler : function() {
					exportd();
				}
			}, '-', {
				text : '取消选中',
				iconCls : 'icon-undo',
				handler : function() {
					datagrid.datagrid('unselectAll');
				}
			}, '-', {
				text : '全部删除',
				iconCls : 'icon-undo',
				handler : function() {
					removeall();
				}
			}, '-', {
				text : '全部停用',
				iconCls : 'icon-undo',
				handler : function() {
					disableall();
				}
			}, '-', {
				text : '全部启用',
				iconCls : 'icon-undo',
				handler : function() {
					enableall();
				}
			}, '-' ],
			onRowContextMenu : function(e, rowIndex, rowData) {
				e.preventDefault();
				$(this).datagrid('unselectAll');
				$(this).datagrid('selectRow', rowIndex);
				$('#menu').menu('show', {
					left : e.pageX,
					top : e.pageY
				});
			}
		});
	});
	
	function edit() {
		var rows = datagrid.datagrid('getSelections');
		if (rows.length == 1) {
			var p = parent.dj
					.dialog({
						title : '修改卡号',
						href : '${pageContext.request.contextPath}/forbid!forbidEdit.do?id='
								+ rows[0].id,
						width : 500,
						height : 450,
						buttons : [ {
							text : '修改',
							handler : function() {
								var f = p.find('form');
								//alert(f);
								f.form({
											url : '${pageContext.request.contextPath}/forbid!edit.do',
											success : function(d) {
												var json = $.parseJSON(d);
												if (json.success) {
													datagrid.datagrid('reload');
													p.dialog('close');
												}
												parent.dj.messagerShow({
													msg : json.msg,
													title : '提示'
												});
											}
										});

								f.submit();
							}
						} ],
						onLoad : function() {
							var f = p.find('form');
							f.find('input[name=id]').val(rows[0].id);
							f.find('input[name=cardcode]')
									.val(rows[0].cardcode);
							f.find('select[name=state]').val(rows[0].state);
							//很奇怪，底下的写法能取到值，但是form不能提交成功！！！！！**************
							//	f.form('load', {
							//	id : rows[0].id,
							//	cardcode : rows[0].cardcode,
							//	state : rows[0].state,

							//});					

						}
					});
		} else if (rows.length > 1) {
			parent.dj.messagerAlert('提示', '同一时间只能编辑一条记录！', 'error');
		} else {
			parent.dj.messagerAlert('提示', '请选择要编辑的记录！', 'error');
		}
	}
	function append() {
		var p = parent.dj
				.dialog({
					title : '增加卡号',
					href : '${pageContext.request.contextPath}/forbid!forbidAdd.do',
					width : 500,
					height : 250,
					buttons : [ {
						text : '增加',
						handler : function() {
							var f = p.find('form');
							f
									.form({
										url : '${pageContext.request.contextPath}/forbid!add.do',
										success : function(d) {
											var json = $.parseJSON(d);
											if (json.success) {
												datagrid.datagrid('reload');
												p.dialog('close');
											}
											parent.dj.messagerShow({
												msg : json.msg,
												title : '提示'
											});
										}
									});
							f.submit();
						}
					} ],
					onLoad : function() {
						var f = p.find('form');
						var editor = f
								.find('textarea[name=cdesc]')
								.xheditor(
										{
											tools : 'full',
											html5Upload : true,
											upMultiple : 4,
											upLinkUrl : '${pageContext.request.contextPath}/forbid!upload.do',
											upLinkExt : 'zip,rar,txt,doc,docx,xls,xlsx',
											upImgUrl : '${pageContext.request.contextPath}/forbid!upload.do',
											upImgExt : 'jpg,jpeg,gif,png'
										});
					}
				});
	}
	function remove() {
		var rows = datagrid.datagrid('getChecked');
		var ids = [];
		if (rows.length > 0) {
			parent.dj
					.messagerConfirm(
							'请确认',
							'您要删除当前所选项目？',
							function(r) {
								if (r) {
									for ( var i = 0; i < rows.length; i++) {
										ids.push(rows[i].id);
									}
									$
											.ajax({
												url : '${pageContext.request.contextPath}/forbid!delete.do',
												data : {
													ids : ids.join(',')
												},
												dataType : 'json',
												success : function(d) {
													datagrid.datagrid('load');
													datagrid
															.datagrid('unselectAll');
													parent.dj.messagerShow({
														title : '提示',
														msg : d.msg
													});
												}
											});
								}
							});
		} else {
			parent.dj.messagerAlert('提示', '请勾选要删除的记录！', 'error');
		}
	}
	function removeall() {

		$.ajax({
			url : '${pageContext.request.contextPath}/forbid!deleteall.do',

			success : function(d) {
				datagrid.datagrid('load');
				datagrid.datagrid('unselectAll');
				parent.dj.messagerShow({
					title : '提示',
					msg : d.msg
				});
			}
		});
	}

	function disableall() {
		$.ajax({
			url : '${pageContext.request.contextPath}/forbid!disableall.do',

			success : function(d) {
				datagrid.datagrid('load');
				datagrid.datagrid('unselectAll');
				parent.dj.messagerShow({
					title : '提示',
					msg : d.msg
				});
			}
		});
	}

	function enableall() {
		$.ajax({
			url : '${pageContext.request.contextPath}/forbid!enableall.do',

			success : function(d) {
				datagrid.datagrid('load');
				datagrid.datagrid('unselectAll');
				parent.dj.messagerShow({
					title : '提示',
					msg : d.msg
				});
			}
		});
	}

	function exportd() {
		Export('屏蔽卡信息', $('#datagrid'))
	}
</script>
</head>
<body class="easyui-layout">
	<div data-options="region:'center',border:false"
		style="overflow: hidden;">
		<table id="datagrid"></table>
	</div>
	<div id="menu" class="easyui-menu" style="width:120px;display: none;">
		<div onclick="append();" data-options="iconCls:'icon-add'">增加</div>
		<div onclick="remove();" data-options="iconCls:'icon-remove'">删除</div>
		<div onclick="edit();" data-options="iconCls:'icon-edit'">编辑</div>
		<div onclick="exportd();" data-options="iconCls:'icon-edit'">导出</div>
		<div onclick="removeall();" data-options="iconCls:'icon-remove'">全部删除</div>
		<div onclick="disableall();" data-options="iconCls:'icon-edit'">全部停用</div>
		<div onclick="enableall();" data-options="iconCls:'icon-edit'">全部启用</div>
	</div>
</body>
</html>